osl::rating::BadLance Class Reference

`#include <feature.h>`

Inheritance diagram for osl::rating::BadLance:

## Public Member Functions

| BadLance (bool h)
bool | match (const NumEffectState &state, Move move, const RatingEnv &) const
Public Member Functions inherited from osl::rating::Feature
| Feature (const std::string &name)
virtual | ~Feature ()
virtual bool | effectiveInCheck () const
const std::string & | name () const

## Static Public Member Functions

static bool | basicMatch (const NumEffectState &state, Move move, Square front)

## Private Attributes

bool | has_effect

## Detailed Description

Definition at line 217 of file rating/feature.h.

## Constructor & Destructor Documentation

## BadLance()

osl::rating::BadLance::BadLance | ( | bool | h | ) |

inline explicit

Definition at line 221 of file rating/feature.h.

References osl::rating::Feature::Feature(), and has_effect.

## Member Function Documentation

## basicMatch()

bool osl::rating::BadLance::basicMatch | ( | const NumEffectState & | state,
|  | Move | move,
|  | Square | front )

inline static

Definition at line 224 of file rating/feature.h.

References osl::alt(), osl::SimpleState::hasPieceOnStand(), osl::Move::isDrop(), osl::Piece::isEmpty(), osl::SimpleState::isPawnMaskSet(), osl::LANCE, osl::PAWN, osl::SimpleState::pieceOnBoard(), osl::Move::player(), osl::Move::ptype(), and osl::Square::x().

Referenced by osl::rating::BadLanceGroup::findMatch(), and match().

## match()

bool osl::rating::BadLance::match | ( | const NumEffectState & | state,
|  | Move | move,
|  | const RatingEnv & | ) const

inline virtual

Implements osl::rating::Feature.

Definition at line 232 of file rating/feature.h.

References osl::alt(), basicMatch(), osl::Board_Table, has_effect, osl::NumEffectState::hasEffectAt(), osl::Move::player(), osl::Move::to(), and osl::U.

## Member Data Documentation

## has_effect

bool osl::rating::BadLance::has_effect

private

Definition at line 219 of file rating/feature.h.

Referenced by BadLance(), and match().

The documentation for this class was generated from the following file:

- rating/feature.h